Subject: bug#74907: 31.0.50; nsm-check-local-subnet-ipv4 test fails on macOS with VPN enabled

From: Stefan Kangas <[email-masked]>
Date: Tue, 17 Dec 2024 16:16:55 -0800

Robert Pluim <[email-masked]> writes:

>>>>>> On Tue, 17 Dec 2024 12:45:26 +0000, Stefan Kangas <[email-masked]> said:
>
>     Stefan> Thanks, that fixes the issue.  Tested with and without VPN on macOS.
>
> Please let me know the name of the VPN client so that I can write a
> suitably scathing commit message (although itʼs possible this is
> macOSʼ fault).

The client is Mullvad VPN, but without looking into it further, I'm not
confident if it is them or Apple that should take the blame here.

Their website is:
    https://mullvad.net/

Note that while the VPN itself is a paid service, the license of their
VPN client is GPLv3:
    https://github.com/mullvad/mullvadvpn-app/

If someone is able to trace this back to something that they did wrong,
I'd recommend sending them a bug report.  They are typically quite
responsive to issues.  I don't understand this issue well enough to do
that myself, and I unfortunately don't have the time to invest into it.

Thank you for the quick fix, Robert!